Index: main/rtp.c
===================================================================
--- main/rtp.c	(revision 108679)
+++ main/rtp.c	(working copy)
@@ -1327,6 +1327,10 @@
 	struct rtpPayloadType rtpPT;
 	int reconstruct = ntohl(rtpheader[0]);
 
+	/* If we are listening for DTMF - then feed all packets into the core  to keep the RTP stream consistent when relaying DTMFs */
+	if (ast_test_flag(rtp, FLAG_P2P_NEED_DTMF))
+		return -1;
+
 	/* Get fields from packet */
 	payload = (reconstruct & 0x7f0000) >> 16;
 	mark = (((reconstruct & 0x800000) >> 23) != 0);
@@ -1338,10 +1342,6 @@
 	if (!bridged->current_RTP_PT[payload].code)
 		return -1;
 
-	/* If the payload is DTMF, and we are listening for DTMF - then feed it into the core */
-	if (ast_test_flag(rtp, FLAG_P2P_NEED_DTMF) && !rtpPT.isAstFormat && rtpPT.code == AST_RTP_DTMF)
-		return -1;
-
 	/* Otherwise adjust bridged payload to match */
 	bridged_payload = ast_rtp_lookup_code(bridged, rtpPT.isAstFormat, rtpPT.code);
 
